/**********************************************************************
 
	Copyright (C) 2003-2004
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomoki SEKIYAMA <sekiyama@yahoo.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___V_MENU_M_H___
#define ___V_MENU_M_H___

extern "C"  {

class VCustomizedMenuBarImp {
  public:
	static void	switch_to_menu(VCustomizedMenuBar *bar);

  protected:
	static void	install_menu_items(VMenuItem *items);
	static void	install_menu_items_sub(VMenuItem *items, LMenu *lm);

	static void	remove_current_menu_items();
	static void	remove_current_menu_items_sub(VMenuItem *items);

	static void setup_window_menu(VMenuItem *items);
	static void update_window_menu();

};

} // extern "C"

#endif
